APPLDIR=/ptovt
DATADIR=/usr/ptovt
PATH=$PATH:/ihd/bin
export DATADIR APPLDIR PATH
/ihd/bin/ihdm exam1 h00: h01: h02: h03: h04: h05: h06: h07: h08: h09: h10: h11 |
awk -F: '
$14=="" { print "it[\""trail($1)"\"]=\"|"trail($2)"|"trail($3)"|"trail($4)"|"trail($5)"|"trail($6)"|"trail($7)"|"trail($8)"|"trail($9)"|"trail($10)"|"trail($11)"|"trail($12)"|"trail($13)"\"" }
function trail(x) {
while (substr(x,length(x))==" ") x=substr(x,1,length(x)-1)
return(x)
} END {
print " it = new Array("NR")" > "exam.js"

 } '  | sort >>exam.js

